#pragma once
#include <vector>
#include <ostream>
#include "MessageList.h"

namespace midi {

class BeatSequence : public std::vector<MessageList>
{
    typedef std::vector<MessageList> parent;

public:
    typedef unsigned int BeatIndex;

    BeatSequence();
    BeatSequence(BeatIndex size);
    void expand(BeatIndex factor);
    void print(std::ostream& stream) const;
};

} // namespace
